Module jdk.jdi

# Package com.sun.jdi.connect

package com.sun.jdi.connect
This package defines connections between the virtual machine using the JDI and the target virtual machine. In concert with `VirtualMachineManager` it is the mechanism for launching, attaching, etc to target virtual machines.

Methods may be added to the interfaces in the JDI packages in future releases. Existing packages may be renamed if the JDI becomes a standard extension.

Interface Summary
Interface
Description
AttachingConnector
A connector which attaches to a previously running target VM.
Connector
A method of connection between a debugger and a target VM.
Connector.Argument
Specification for and value of a Connector argument.
Connector.BooleanArgument
Specification for and value of a Connector argument, whose value is Boolean.
Connector.IntegerArgument
Specification for and value of a Connector argument, whose value is an integer.
Connector.SelectedArgument
Specification for and value of a Connector argument, whose value is a String selected from a list of choices.
Connector.StringArgument
Specification for and value of a Connector argument, whose value is a String.
LaunchingConnector
A connector which can launch a target VM before connecting to it.
ListeningConnector
A connector which listens for a connection initiated by a target VM.
Transport
A method of communication between a debugger and a target VM.
Exception Summary
Exception
Description
IllegalConnectorArgumentsException
Thrown to indicate an invalid argument or inconsistent passed to a `Connector`.
TransportTimeoutException
This exception may be thrown as a result of a timeout when attaching to a target VM, or waiting to accept a connection from a target VM.
VMStartException
A target VM was successfully launched, but terminated with an error before a connection could be established.